package gui;

import app.Main;
import jpa.CharactersEntity;

import javax.swing.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * Created by Wouter on 10/29/2015.
 */
public class WelcomeFrame extends JFrame {
    JPanel panel;
    JButton button;
    JLabel raceLabel,classLabel,levelLabel,nameLabel;
    private Main main;
    public WelcomeFrame(Main main){
        this.main = main;
        initComponents();
    }

    private void initComponents() {
        setSize(1000,500);
        panel = new JPanel();
        CharactersEntity charactersEntity = main.getLoggedinCharacterByUser();

        nameLabel = new JLabel(charactersEntity.getName());
        panel.add(nameLabel);
        levelLabel = new JLabel(charactersEntity.getLevel()+"");
        panel.add(levelLabel);
        classLabel = new JLabel(charactersEntity.getClazz());
        panel.add(classLabel);
        raceLabel = new JLabel(charactersEntity.getRace());
        panel.add(raceLabel);
        button = new JButton();
        button.setText("LOGOUT");
        button.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                main.logoutCharacter(main.getLoggedinCharacterByUser());
                main.switchFrame(main.CHARACTERFRAME);
            }
        });
        panel.add(button);
        add(panel);
        this.setResizable(false);
    }
}
