package jpa;

import javax.persistence.Column;
import javax.persistence.Id;
import java.io.Serializable;

/**
 * Created by Wouter on 10/28/2015.
 */
public class StoresEntityPK implements Serializable {
    private String address;
    private String characterName;

    @Column(name = "address")
    @Id
    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    @Column(name = "character_name")
    @Id
    public String getCharacterName() {
        return characterName;
    }

    public void setCharacterName(String characterName) {
        this.characterName = characterName;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        StoresEntityPK that = (StoresEntityPK) o;

        if (address != null ? !address.equals(that.address) : that.address != null) return false;
        if (characterName != null ? !characterName.equals(that.characterName) : that.characterName != null)
            return false;

        return true;
    }

    @Override
    public int hashCode() {
        int result = address != null ? address.hashCode() : 0;
        result = 31 * result + (characterName != null ? characterName.hashCode() : 0);
        return result;
    }
}
